## snippy 4.6.0+dfsg

=== test/Makefile ===
SHELL := /bin/bash
MAKEFLAGS += --no-builtin-rules
MAKEFLAGS += --no-builtin-variables

.SUFFIXES:
.DELETE_ON_ERROR:
.SECONDARY:
.ONESHELL:
.DEFAULT: all

CPUS = 2
RAM = 2

SNIPPY = ../bin/snippy --cpus $(CPUS) --ram $(RAM)
SNIPPYCORE = ../bin/snippy-core
R1 = reads_R1.fastq.gz
R2 = reads_R2.fastq.gz
WGSIM = wgsim

GBK=example.gbk
REF=example.fna
BED=example.bed

all: core.txt
	wc -l S?/snps.tab

core.txt : S1/snps.tab S2/snps.tab S3/snps.tab S4/snps.tab
	$(SNIPPYCORE) --prefix core --ref $(REF) S1 S2 S3 S4
	$(SNIPPYCORE) --prefix core-mask --ref $(REF) --mask $(BED) S1 S2 S3 S4

%/snps.tab : %/R1.fq %/R2.fq
	$(SNIPPY) --force --ref $(REF) --outdir $(@D) --R1 $(word 1,$^) --R2 $(word 2,$^)

%/R1.fq %/R2.fq : $(REF)
	mkdir -p $(@D)
	$(WGSIM) -S $(shell echo $(@D) | sed 's/[^0-9]//g') \
		 -h -r 0.005 -N 12000 -1 100 -2 100 -d 200 \
		 $< $@ $(subst R2,R1,$@) > $(@D)/dwgsim.tab

%.fna : %.gbk
	any2fasta -n -u $< > $@

bigtest/snps.tab : genome.fa reads_R1.fq.gz reads_R2.fq.gz
	$(SNIPPY) --force --cpus 36 --outdir bigtest --ref $(word 1,$^) --R1 $(word 2,$^) --R2 $(word 3,$^)

genome.fa : 
	curl http://ftp.ebi.ac.uk/pub/databases/ena/wgs/public/cv/CVOW01.fasta.gz \
		| gunzip | sed -e 's/ENA|CVOW01000001|//' > $@

reads_R1.fq.gz :
	curl ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR115/006/SRR1157476/SRR1157476_1.fastq.gz \
		| gunzip | seqtk sample 0.2 - | pigz -9 > $@
	
reads_R2.fq.gz :
	curl ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR115/006/SRR1157476/SRR1157476_2.fastq.gz \
		| gzip -d -c | seqtk sample 0.2 - | pigz -9 > $@

clean :
	rm -fr ./bigtest core*.* ./S{1,2,3,4}

=== debian/changelog ===
snippy (4.6.0+dfsg-5) unstable; urgency=medium

  * Build with make 4.4.1
    Closes: #1089272
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2024 16:40:07 +0100

snippy (4.6.0+dfsg-4) unstable; urgency=medium

  * Work with snpeff >= 5.1
    Closes: #1029202
    In the second part of the patch the first line which invalidates
    the resulting vcf file is removed via sed.  This needs further
    discussion with SnpEff upstream (issue #510)
  * Add another test - for the moment just for users local machine in
    examples since its quite some effort for autopkgtest
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 10:44:31 +0100

snippy (4.6.0+dfsg-3) unstable; urgency=medium

  * Restrict autopkgtest to "Architecture: amd64 arm64" since the
    precondition libngs-jni exists only on these architectures

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 13:05:51 +0100

snippy (4.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply multi-arch hints. + snippy-examples: Add Multi-Arch: foreign.
  * Marking the patches as Forwarded: not-needed

 -- Pierre Gruet <pgt@debian.org>  Sat, 21 Jan 2023 11:04:04 +0100

snippy (4.6.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1023283)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 18:39:47 +0100

=== debian/control ===
Source: snippy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               any2fasta <!nocheck>,
               bcftools <!nocheck>,
               bedtools <!nocheck>,
               bwa <!nocheck>,
               freebayes <!nocheck>,
               libbio-perl-perl <!nocheck>,
               libvcflib-tools <!nocheck>,
               minimap2 <!nocheck>,
               parallel <!nocheck>,
               samtools <!nocheck>,
               samclip <!nocheck>,
               seqtk <!nocheck>,
               snp-sites <!nocheck>,
               snpeff <!nocheck>,
               vt <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/snippy
Vcs-Git: https://salsa.debian.org/med-team/snippy.git
Homepage: https://github.com/tseemann/snippy/
Rules-Requires-Root: no

Package: snippy
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         any2fasta,
         bcftools,
         bedtools,
         bwa,
         freebayes (>= 1.3.6-2),
         libbio-perl-perl,
         libvcflib-tools,
         minimap2,
         parallel,
         samclip,
         samtools,
         seqtk,
         snp-sites,
         snpeff,
         vt
Description: rapid haploid variant calling and core genome alignment
 Snippy finds SNPs between a haploid reference genome and your NGS
 sequence reads. It will find both substitutions (snps) and
 insertions/deletions (indels). It will use as many CPUs as you can give
 it on a single computer (tested to 64 cores). It is designed with speed
 in mind, and produces a consistent set of output files in a single
 folder. It can then take a set of Snippy results using the same
 reference and generate a core SNP alignment (and ultimately a
 phylogenomic tree).

Package: snippy-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: snippy
Multi-Arch: foreign
Description: rapid haploid variant calling and core genome alignment (examples)
 Snippy finds SNPs between a haploid reference genome and your NGS
 sequence reads. It will find both substitutions (snps) and
 insertions/deletions (indels). It will use as many CPUs as you can give
 it on a single computer (tested to 64 cores). It is designed with speed
 in mind, and produces a consistent set of output files in a single
 folder. It can then take a set of Snippy results using the same
 reference and generate a core SNP alignment (and ultimately a
 phylogenomic tree).
 .
 This package contains example data to test snippy.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr, skip-not-installable
Architecture: amd64 arm64

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/tseemann/snippy/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
